[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]

  [[#if (urlParam "bookiri")]]

    [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
    <li class="breadcrumb-item">
      <semantic-query
        query='SELECT ?book_name ?book WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
        template='{{#each bindings}}
          <semantic-link uri="{{book.value}}" urlqueryparam-tab="parts">{{book_name.value}}</semantic-link>
        {{/each}}'
      >
      </semantic-query>
    </li>

    [[#if (urlParam "returniri")]]
      <li class="breadcrumb-item">
        <semantic-query
          query='SELECT ?adaption_name ?adaption WHERE { ?adaption ecrm:P3_has_note ?adaption_name . BIND(<[[urlParam "adaptioniri"]]> as ?adaption ) }'
          template='{{#each bindings}}
            <semantic-link uri="{{adaption.value}}" urlqueryparam-returniri="[[urlParam "returniri"]]">{{adaption_name.value}}</semantic-link>
          {{/each}}'
        >
        </semantic-query>
      </li>
    [[/if]]

  [[else]]

    [[> :templateBreadcrumb uri=":listParts" label="Parts"]]
    [[> :templateBreadcrumb uri=":listAdaptions" label="Adaptions"]]
    
    <li class="breadcrumb-item">
      <semantic-query
        query='SELECT ?adaption_name ?adaption WHERE { ?adaption ecrm:P3_has_note ?adaption_name . BIND(<[[urlParam "adaptioniri"]]> as ?adaption ) }'
        template='{{#each bindings}}
          <semantic-link uri="{{adaption.value}}"
            [[#if (urlParam "returntab")]]
              urlqueryparam-tab="[[urlParam "returntab"]]"
              urlqueryparam-returntab="[[urlParam "returntab"]]"
            [[/if]]>{{adaption_name.value}}</semantic-link>
        {{/each}}'
      >
      </semantic-query>
    </li>
  [[/if]]
</ol>


[[#if (urlParam "expressioniri")]]
  <h2>Edit translated part</h2>
[[else]]
  <h2>Add translated part</h2>
[[/if]]

[[#if (urlParam "adaptioniri")]]
  <semantic-query
    query='SELECT ?adaption_name WHERE { ?adaption ecrm:P3_has_note ?adaption_name . BIND(<[[urlParam "adaptioniri"]]> as ?adaption ) }'
    template='<p>Use this form to assign a translation of a part to the adaption {{#each bindings}} {{adaption_name.value}} {{/each}}'
  >
  </semantic-query>

  <semantic-form
      fields="[[fieldDefinitions
        language="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/language"
        part="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_translated"
        record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/adaption_translated_part_record_type"
      ]]"
      browser-persistence="false"
      persistence="LDP"
      post-action="[[urlParam "adaptioniri"]]"
      [[#if (urlParam "bookiri")]]
        urlqueryparam-bookiri="[[urlParam "bookiri"]]"
      [[/if]]
      [[#if (urlParam "attributeassignmentiri")]]
        urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
      [[/if]]
      [[#if (urlParam "returniri")]]
        urlqueryparam-returniri="[[urlParam "returniri"]]"
      [[/if]]
      [[#if (urlParam "returntab")]]
        urlqueryparam-tab="[[urlParam "returntab"]]"
        urlqueryparam-returntab="[[urlParam "returntab"]]"
      [[/if]]
      subject="[[#if (urlParam "expressioniri")]][[urlParam "expressioniri"]][[else]][[urlParam "adaptioniri"]]/translation/[[singleValueFromSelect "SELECT ?uuid WHERE {BIND(STRUUID() as ?uuid )}"]][[/if]]"
    >

      <semantic-form-select-input for="part"></semantic-form-select-input>

      <semantic-form-select-input for="record_type"></semantic-form-select-input>

      <semantic-form-select-input for="language"></semantic-form-select-input>

      <div class="text-right form-submit">
        <semantic-link uri="[[urlParam "adaptioniri"]]"
          [[#if (urlParam "bookiri")]]
            urlqueryparam-bookiri="[[urlParam "bookiri"]]"
          [[/if]]
          [[#if (urlParam "attributeassignmentiri")]]
            urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
          [[/if]]
          [[#if (urlParam "returniri")]]
            urlqueryparam-returniri="[[urlParam "returniri"]]"
          [[/if]]
          [[#if (urlParam "returntab")]]
            urlqueryparam-tab="[[urlParam "returntab"]]"
            urlqueryparam-returntab="[[urlParam "returntab"]]"
          [[/if]]
          class="btn btn-default btn-md">
          Cancel
        </semantic-link>
        <button name="submit" class="btn btn-primary btn-md">Save</button>
      </div>
    </semantic-form>
[[else]]
	No adaption has been selected. This form needs to be accessed via a adaption record.
[[/if]]


[[> :footer ]]
